Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False), DeferredDeletion(False)> _
Public Class GLReportRowsCostHolder
    Inherits BaseObject

    Private _GLReport As GLReport
    Private _GLReportRows As GLReportRows
    Private _CostHolder As CostHolder
    Private _HRPerson As HRPerson
    Private _FixedAssets As FixedAssets
    Private _BallanceAmount As Double

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property GLReport As GLReport
        Get
            Return _GLReport
        End Get
        Set(value As GLReport)
            SetPropertyValue("GLReport", _GLReport, value)
        End Set
    End Property
    Property GLReportRows As GLReportRows
        Get
            Return _GLReportRows
        End Get
        Set(value As GLReportRows)
            SetPropertyValue("GLReportRows", _GLReportRows, value)
        End Set
    End Property
    Property CostHolder As CostHolder
        Get
            Return _CostHolder
        End Get
        Set(value As CostHolder)
            SetPropertyValue("CostHolder", _CostHolder, value)
        End Set
    End Property
    Property HRPerson As HRPerson
        Get
            Return _HRPerson
        End Get
        Set(value As HRPerson)
            SetPropertyValue("HRPerson", _HRPerson, value)
        End Set
    End Property
    Property FixedAssets As FixedAssets
        Get
            Return _FixedAssets
        End Get
        Set(value As FixedAssets)
            SetPropertyValue("FixedAssets", _FixedAssets, value)
        End Set
    End Property
    Property BallanceAmount As Double
        Get
            Return _BallanceAmount
        End Get
        Set(value As Double)
            SetPropertyValue("BallanceAmount", _BallanceAmount, value)
        End Set
    End Property

    '---------------------Subs----------------------
End Class
